from django.conf.urls import url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from rest_framework_jwt.views import obtain_jwt_token, refresh_jwt_token

from core import views

urlpatterns = [
    url(r'^api/student/$', views.StudentApiView.as_view()),
    url(r'^api/student/submission/(?P<pk>[0-9]+)$', views.SubmissionApiView.as_view()),
    url(r'^api/student/submission/(?P<pk>[0-9]+)/feedback/$', views.FeedbackApiView.as_view()),

    url(r'^api-token-auth/', obtain_jwt_token),
    url(r'api-token-refresh', refresh_jwt_token),
]

urlpatterns += staticfiles_urlpatterns()
